import o from "clsx";
import { jsx as l, jsxs as _, Fragment as ae } from "react/jsx-runtime";
import R, { useRef as w, useLayoutEffect as F, useMemo as H, useState as se, useEffect as q, useCallback as oe, useContext as N } from "react";
/*!
  @versini/ui-table v3.1.2
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.1.2",
    buildTime: "01/26/2025 07:26 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const I = "thead", U = "tfoot", p = "tbody", B = {
  ASC: "asc",
  DESC: "desc"
}, ie = ({
  mode: e,
  className: r,
  wrapperClassName: t,
  stickyHeader: a,
  stickyFooter: s
}) => ({
  wrapper: o(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !a && !s,
      "overflow-y-scroll": a || s,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: o("my-0 w-full text-left text-sm", r, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: o("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), le = ({
  className: e,
  stickyHeader: r,
  mode: t
}) => o(
  {
    "sticky top-0 z-10": r,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": r && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": r && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": r && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": r && t === "alt-system"
  },
  e
), ne = ({
  className: e,
  stickyFooter: r,
  mode: t
}) => o(
  {
    "sticky bottom-0 z-10": r,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": r && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": r && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": r && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": r && t === "alt-system"
  },
  e
), ce = ({
  mode: e,
  className: r,
  cellWrapper: t
}) => t === I || t === U ? o(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  r
) : o(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === p && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === p && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === p && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === p && e === "alt-system"
  },
  r
), de = ({
  cellWrapper: e,
  className: r,
  compact: t,
  mode: a,
  align: s
}) => ({
  alignClasses: o({
    "flex justify-start text-left": s === "left",
    "flex justify-center text-center": s === "center",
    "flex justify-end text-right": s === "right"
  }),
  mainClasses: o(
    {
      "text-copy-light": a === "dark" || a === "system",
      "text-copy-dark": a === "light" || a === "alt-system",
      "dark:text-copy-dark": a === "system",
      "dark:text-copy-light": a === "alt-system",
      "px-4 py-3": !t && (e === I || e === U),
      "p-4": !t && e === p,
      "px-2 py-1.5": t
    },
    r
  )
}), ge = ({
  buttonClassName: e
}) => o("rounded-none text-sm", e), D = "av-button", S = "icon", G = "button", O = "link", he = ({
  type: e,
  size: r,
  labelRight: t,
  labelLeft: a,
  align: s,
  animated: i
}) => {
  const n = "max-h-8 py-0 px-2", d = "max-h-9 h-8 px-3", c = "max-h-12 py-2 px-4";
  switch (e) {
    case G:
    case O:
      return o({
        [n]: r === "small",
        [d]: r === "medium",
        [c]: r === "large"
      });
    case S:
      return o("inline-flex items-center", {
        "justify-center": s === "center",
        "justify-start": s === "left",
        "justify-end": s === "right",
        "h-6 w-6 p-0": r === "small" && !i && !(t || a),
        "h-6 px-2": r === "small" && !i && (t || a),
        "h-8 w-8 p-1": r === "medium" && !i && !(t || a),
        "h-8 px-3": r === "medium" && !i && (t || a),
        "h-12 w-12 p-2": r === "large" && !i && !(t || a),
        "h-12 px-4": r === "large" && !i && (t || a),
        "h-6 py-0": r === "small" && i && !(t || a),
        "h-6": r === "small" && i && (t || a),
        "h-8 py-1": r === "medium" && i && !(t || a),
        "h-8": r === "medium" && i && (t || a),
        "h-12 py-2": r === "large" && i && !(t || a),
        "h-12": r === "large" && i && (t || a)
      });
  }
}, be = ({
  type: e,
  size: r,
  labelRight: t,
  labelLeft: a
}) => {
  const s = "text-sm font-medium", i = "text-base font-medium", n = "text-lg font-medium";
  switch (e) {
    case G:
    case O:
      return o({
        "text-center": e === O,
        [s]: r === "small",
        [i]: r === "medium",
        [n]: r === "large"
      });
    case S:
      return o({
        [s]: r === "small" && (t || a),
        [i]: r === "medium" && (t || a),
        [n]: r === "large" && (t || a)
      });
  }
}, me = ({
  mode: e,
  noBackground: r,
  noTruncate: t,
  variant: a
}) => {
  if (r)
    return "not-prose";
  if (a === "primary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (a === "secondary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "light" || e === "system",
      "text-copy-lighter": e === "dark" || e === "alt-system",
      "dark:text-copy-lighter": e === "alt-system",
      "dark:text-copy-light": e === "system"
    });
  if (a === "danger")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (a === "selected")
    return o("not-prose text-copy-lighter", {
      truncate: !t
    });
}, ue = ({
  mode: e,
  noBackground: r,
  variant: t
}) => {
  if (!r) {
    if (t === "primary")
      return o({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return o({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return o({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, ye = ({
  radius: e
}) => o({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), ke = ({
  mode: e,
  disabled: r,
  variant: t
}) => {
  if (r)
    return "";
  if (t === "primary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, fe = ({
  mode: e,
  disabled: r,
  variant: t
}) => {
  if (r)
    return "";
  if (t === "primary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return o("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, ve = ({
  mode: e,
  noBorder: r,
  variant: t
}) => {
  if (r)
    return "border border-transparent";
  if (t === "primary")
    return o("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return o("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return o("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, pe = ({
  focusMode: e
}) => o("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), _e = ({
  mode: e,
  raw: r,
  iconClassName: t
}) => r ? "" : o(
  {
    "text-copy-accent-dark": e === "light" || e === "alt-system",
    "text-copy-light": e === "dark" || e === "system",
    "dark:text-copy-light": e === "alt-system",
    "dark:text-copy-accent-dark": e === "system"
  },
  t
), xe = ({
  animated: e
}) => o({
  "transition-opacity duration-300 ease-in": e
}), we = ({
  type: e,
  className: r,
  raw: t,
  mode: a,
  focusMode: s,
  disabled: i,
  fullWidth: n,
  size: d,
  noBorder: c,
  labelRight: g,
  labelLeft: m,
  noBackground: b,
  variant: h,
  noTruncate: u,
  align: E,
  radius: z,
  animated: C
}) => (h || (h = "primary"), t ? o(D, r) : o(
  D,
  me({
    mode: a,
    variant: h,
    noBackground: b,
    noTruncate: u
  }),
  ue({ mode: a, noBackground: b, variant: h }),
  ye({ radius: z }),
  he({
    type: e,
    size: d,
    labelRight: g,
    labelLeft: m,
    align: E,
    animated: C
  }),
  be({ type: e, size: d, labelRight: g, labelLeft: m }),
  ve({ mode: a, variant: h, noBorder: c }),
  pe({ focusMode: s }),
  ke({ mode: a, variant: h, disabled: i }),
  fe({ mode: a, variant: h, disabled: i }),
  {
    "w-full": n,
    "disabled:cursor-not-allowed disabled:opacity-50": i
  },
  o({
    "transition-[width] duration-300 ease-in-out": e === S && C
  }),
  r
)), Ne = (e, r, t) => {
  var a;
  !r && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((a = e == null ? void 0 : e.currentTarget) == null ? void 0 : a.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, X = R.forwardRef((e, r) => {
  const { onClick: t, noInternalClick: a = !1, ...s } = e;
  return /* @__PURE__ */ l(
    "button",
    {
      ref: r,
      onClick: (i) => {
        Ne(i, a, t);
      },
      ...s
    }
  );
});
X.displayName = "BaseButton";
function Ce() {
  const e = w(!1);
  return q(() => (e.current = !0, () => {
    e.current = !1;
  }), []), oe(() => e.current, []);
}
function Te(e) {
  return H(() => e.every((r) => r == null) ? () => {
  } : (r) => {
    e.forEach((t) => {
      typeof t == "function" ? t(r) : t != null && (t.current = r);
    });
  }, e);
}
const Be = {
  x: 0,
  y: 0,
  width: 0,
  height: 0,
  top: 0,
  left: 0,
  bottom: 0,
  right: 0
};
function A(e) {
  const r = Ce(), t = w(0), a = w(null), [s, i] = se(Be), n = H(() => typeof ResizeObserver > "u" ? null : new ResizeObserver((d) => {
    const c = d[0];
    c && (cancelAnimationFrame(t.current), t.current = requestAnimationFrame(() => {
      a.current && r() && i(c.contentRect);
    }));
  }), [r]);
  return q(() => (a.current && (n == null || n.observe(a.current, e)), () => {
    n == null || n.disconnect(), t.current && cancelAnimationFrame(t.current);
  }), [n, e]), [a, s];
}
const Re = {
  small: 24,
  // w-6
  medium: 32,
  // w-8
  large: 48
  // w-12
}, Ie = {
  small: 8 * 2,
  // px-2 x 2
  medium: 12 * 2,
  // px-3 x 2
  large: 16 * 2
  // px-4 x 2
}, Se = 2, Y = R.forwardRef(
  ({
    children: e,
    disabled: r = !1,
    mode: t = "system",
    focusMode: a = "system",
    fullWidth: s = !1,
    className: i,
    type: n = "button",
    raw: d = !1,
    noBorder: c = !1,
    "aria-label": g,
    label: m,
    size: b = "medium",
    labelRight: h,
    labelLeft: u,
    noBackground: E = !1,
    align: z = "center",
    radius: C = "large",
    variant: J = "primary",
    iconClassName: K,
    animated: k = !1,
    ...Q
  }, $) => {
    const ee = we({
      type: S,
      mode: t,
      focusMode: a,
      fullWidth: s,
      disabled: r,
      raw: d,
      className: i,
      noBorder: c,
      size: b,
      labelRight: h,
      labelLeft: u,
      noBackground: E,
      align: z,
      radius: C,
      variant: J,
      animated: k
    }), te = _e({ mode: t, raw: d, iconClassName: K }), j = xe({ animated: k }), [y, V] = A(), [f, M] = A(), [T, W] = A(), L = w(0), v = w(null), re = Te([$, v]);
    return F(() => {
      T && T.current && k && (L.current = W.width + Ie[b] + (c ? 0 : Se));
    }, [W, T, b, c, k]), F(() => {
      v && v.current && k && (h && y && V.width > 0 ? (y.current && (y.current.style.opacity = "100"), v.current.style.width = `${V.width + L.current}px`) : u && M.width > 0 ? (f.current && (f.current.style.opacity = "100"), v.current.style.width = `${M.width + L.current}px`) : (y.current && (y.current.style.opacity = "0"), f.current && (f.current.style.opacity = "0"), v.current.style.width = `${Re[b]}px`));
    }, [
      V,
      h,
      y,
      M,
      u,
      f,
      b,
      k
    ]), /* @__PURE__ */ _(
      X,
      {
        ref: re,
        className: ee,
        disabled: r,
        type: n,
        "aria-label": g || m,
        ...Q,
        children: [
          /* @__PURE__ */ l("span", { ref: f, className: j, children: u && /* @__PURE__ */ l("span", { className: "pr-2", children: u }) }),
          /* @__PURE__ */ l("span", { ref: T, className: te, children: e }),
          /* @__PURE__ */ l("span", { ref: y, className: j, children: h && /* @__PURE__ */ l("span", { className: "pl-2", children: h }) })
        ]
      }
    );
  }
);
Y.displayName = "ButtonIcon";
/*!
  @versini/ui-button v4.2.2
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "4.2.2",
    buildTime: "01/26/2025 07:26 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Z = R.forwardRef(
  ({
    children: e,
    mode: r = "system",
    className: t,
    active: a = !1,
    ...s
  }, i) => {
    const n = a ? o(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": r === "dark",
        "after:border-table-light": r === "light",
        "after:border-table-dark dark:after:border-table-light": r === "system",
        "after:border-table-light dark:after:border-table-dark": r === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ l("div", { className: n, children: /* @__PURE__ */ l(
      Y,
      {
        className: o("justify-center", t),
        ref: i,
        mode: r,
        radius: "small",
        ...s,
        children: e
      }
    ) });
  }
);
Z.displayName = "ButtonSort";
const P = ({
  children: e,
  fill: r,
  viewBox: t,
  className: a,
  defaultViewBox: s,
  size: i,
  title: n,
  semantic: d = !1,
  ...c
}) => {
  const g = o(i, a);
  return /* @__PURE__ */ _(ae, { children: [
    /* @__PURE__ */ l(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: g,
        viewBox: t || s,
        fill: r || "currentColor",
        role: "img",
        "aria-hidden": !d,
        focusable: !1,
        ...c,
        children: e
      }
    ),
    n && d && /* @__PURE__ */ l("span", { className: "sr-only", children: n })
  ] });
};
/*!
  @versini/ui-svgicon v4.0.7
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.0.7",
    buildTime: "01/20/2025 01:49 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Ee = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...s
}) => /* @__PURE__ */ _(
  P,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          d: "M297.4 137.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l41.3-41.4V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.3l41.4 41.4c12.5 12.5 32.8 12.5 45.3 0 6.2-6.2 9.4-14.4 9.4-22.6s-3.1-16.4-9.4-22.6l-96-96c-6.3-6.4-14.5-9.5-22.7-9.5s-16.4 3.1-22.6 9.4z",
          opacity: a ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32v306.7l-41.4-41.3c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), ze = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...s
}) => /* @__PURE__ */ _(
  P,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort Down",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32",
          opacity: a ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32S96 46.3 96 64v301.7l-32.4-35.3c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96c6.1 6.6 14.6 10.4 23.6 10.4" })
    ]
  }
), Ve = ({
  className: e,
  viewBox: r,
  title: t,
  monotone: a,
  ...s
}) => /* @__PURE__ */ _(
  P,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: r,
    className: e,
    title: t || "Sort Up",
    ...s,
    children: [
      /* @__PURE__ */ l(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32",
          opacity: a ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ l("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3l-32.4 35.3c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32" })
    ]
  }
);
/*!
  @versini/ui-icons v4.6.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.6.0",
    buildTime: "01/20/2025 04:20 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const x = R.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), Ue = ({
  children: e,
  mode: r = "system",
  caption: t,
  compact: a,
  summary: s,
  className: i,
  wrapperClassName: n,
  maxHeight: d,
  stickyHeader: c,
  stickyFooter: g,
  ...m
}) => {
  const b = ie({
    mode: r,
    className: i,
    wrapperClassName: n,
    stickyHeader: c,
    stickyFooter: g
  });
  return /* @__PURE__ */ l(
    x.Provider,
    {
      value: { mode: r, stickyHeader: c, stickyFooter: g, compact: a },
      children: /* @__PURE__ */ l(
        "div",
        {
          className: b.wrapper,
          ...d && {
            style: { maxHeight: d }
          },
          children: /* @__PURE__ */ _("table", { className: b.table, summary: s, ...m, children: [
            t && /* @__PURE__ */ l("caption", { className: b.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, Pe = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = N(x);
  a.cellWrapper = I;
  const s = le({
    className: r,
    mode: a.mode,
    stickyHeader: a.stickyHeader
  });
  return /* @__PURE__ */ l("thead", { className: s, ...t, children: e });
}, je = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = N(x);
  a.cellWrapper = U;
  const s = ne({
    className: r,
    mode: a.mode,
    stickyFooter: a.stickyFooter
  });
  return /* @__PURE__ */ l("tfoot", { className: s, ...t, children: e });
}, We = ({ children: e, ...r }) => {
  const t = N(x);
  return t.cellWrapper = p, /* @__PURE__ */ l("tbody", { ...r, children: e });
}, Fe = ({
  children: e,
  className: r,
  ...t
}) => {
  const a = N(x), s = ce({
    mode: a.mode,
    cellWrapper: a.cellWrapper,
    className: r
  });
  return /* @__PURE__ */ l("tr", { className: s, ...t, children: e });
}, Me = ({
  children: e,
  component: r,
  className: t,
  align: a,
  ...s
}) => {
  const i = N(x), n = r || (i.cellWrapper === I ? "th" : "td"), { mainClasses: d, alignClasses: c } = de({
    cellWrapper: i.cellWrapper,
    className: t,
    mode: i.mode,
    compact: i.compact,
    align: a
  });
  return a ? /* @__PURE__ */ l(n, { className: d, ...s, children: /* @__PURE__ */ l("div", { className: c, children: e }) }) : /* @__PURE__ */ l(n, { className: d, ...s, children: e });
}, De = ({
  align: e,
  children: r,
  buttonClassName: t,
  className: a,
  component: s,
  focusMode: i = "alt-system",
  mode: n = "alt-system",
  onClick: d,
  sortDirection: c,
  sortedCell: g,
  cellId: m,
  ...b
}) => {
  const h = ge({ buttonClassName: t });
  return /* @__PURE__ */ l(
    Me,
    {
      component: s,
      className: a,
      role: "columnheader",
      "aria-sort": c === B.ASC && g === m ? "ascending" : c === B.DESC && g === m ? "descending" : "other",
      ...b,
      children: /* @__PURE__ */ l(
        Z,
        {
          active: g === m,
          className: h,
          onClick: d,
          align: e,
          noBorder: !0,
          focusMode: i,
          mode: n,
          fullWidth: !0,
          labelRight: r,
          children: c === B.ASC && g === m ? /* @__PURE__ */ l(Ve, { className: "size-4", monotone: !0 }) : c === B.DESC && g === m ? /* @__PURE__ */ l(ze, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ l(Ee, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  Ue as Table,
  We as TableBody,
  Me as TableCell,
  De as TableCellSort,
  B as TableCellSortDirections,
  je as TableFooter,
  Pe as TableHead,
  Fe as TableRow
};
